GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
gridfire::GraphEngine::AtomicReverseRate Class Referencefinal
Inheritance diagram for gridfire::GraphEngine::AtomicReverseRate:

## Public Member Functions
| AtomicReverseRate (const reaction::Reaction &reaction, const GraphEngine &engine)
bool | forward (size_t p, size_t q, const CppAD::vector< bool > &vx, CppAD::vector< bool > &vy, const CppAD::vector< double > &tx, CppAD::vector< double > &ty) override
bool | reverse (size_t q, const CppAD::vector< double > &tx, const CppAD::vector< double > &ty, CppAD::vector< double > &px, const CppAD::vector< double > &py) override
bool | for_sparse_jac (size_t q, const CppAD::vector< std::set< size_t > > &r, CppAD::vector< std::set< size_t > > &s) override
bool | rev_sparse_jac (size_t q, const CppAD::vector< std::set< size_t > > &rt, CppAD::vector< std::set< size_t > > &st) override

## Private Attributes
const reaction::Reaction & | m_reaction
const GraphEngine & | m_engine

## Detailed Description

Definition at line 406 of file engine_graph.h.

## Constructor & Destructor Documentation

## ◆ AtomicReverseRate()

gridfire::GraphEngine::AtomicReverseRate::AtomicReverseRate | ( | const reaction::Reaction & | reaction,
|  | const GraphEngine & | engine )
| inline

Definition at line 408 of file engine_graph.h.

## Member Function Documentation

## ◆ for_sparse_jac()

bool gridfire::GraphEngine::AtomicReverseRate::for_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< std::set< size_t > > & | r,
|  | CppAD::vector< std::set< size_t > > & | s )
| override

Definition at line 1069 of file engine_graph.cpp.

## ◆ forward()

bool gridfire::GraphEngine::AtomicReverseRate::forward | ( | size_t | p,
|  | size_t | q,
|  | const CppAD::vector< bool > & | vx,
|  | CppAD::vector< bool > & | vy,
|  | const CppAD::vector< double > & | tx,
|  | CppAD::vector< double > & | ty )
| override

Definition at line 1029 of file engine_graph.cpp.

## ◆ rev_sparse_jac()

bool gridfire::GraphEngine::AtomicReverseRate::rev_sparse_jac | ( | size_t | q,
|  | const CppAD::vector< std::set< size_t > > & | rt,
|  | CppAD::vector< std::set< size_t > > & | st )
| override

Definition at line 1078 of file engine_graph.cpp.

## ◆ reverse()

bool gridfire::GraphEngine::AtomicReverseRate::reverse | ( | size_t | q,
|  | const CppAD::vector< double > & | tx,
|  | const CppAD::vector< double > & | ty,
|  | CppAD::vector< double > & | px,
|  | const CppAD::vector< double > & | py )
| override

Definition at line 1051 of file engine_graph.cpp.

## Member Data Documentation

## ◆ m_engine

const GraphEngine& gridfire::GraphEngine::AtomicReverseRate::m_engine
| private

Definition at line 444 of file engine_graph.h.

## ◆ m_reaction

const reaction::Reaction& gridfire::GraphEngine::AtomicReverseRate::m_reaction
| private

Definition at line 443 of file engine_graph.h.

The documentation for this class was generated from the following files:

- src/include/gridfire/engine/engine_graph.h
- src/lib/engine/engine_graph.cpp